public class LectureEntierPositifEnConsole {

/* Lecture au clavier et retour d'un entier    */
/* Saisie par essais successifs                */

  static int lectureEntierPositif() {
    int v;
    v = Console.saisirInt();
    while ( v < 0 ) {
      Console.afficher("Erreur, resaisissez : ");
      v = Console.saisirInt(); }
    return v;
  }

/* Programme principal                         */

  public static void main(String [] args) {
    Console.setTitle("LectureEntierPositif");
    int n;
    Console.afficher("SVP, n : ");
    n = lectureEntierPositif();
    Console.afficherln("Valeur lue = ",n);
  }
}